﻿@model IEnumerable<lap.tel.com_project.Models.RepairType>

@{
    ViewData["Title"] = "Typy napraw";
}

<h2>Typy napraw</h2>

<p>
    <a class="btn btn-dark" asp-controller="Admin" asp-action="Dashboard">Powrót</a>
    <a class="btn btn-primary" asp-action="Create">Dodaj</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.RepairName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RepairDescription)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.RepairName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RepairDescription)
            </td>
            <td>
                <a class="btn btn-primary btn-sm" asp-action="Edit" asp-route-id="@item.RepairTypeId">Edytuj</a>
                <a class="btn btn-danger btn-sm" asp-action="Delete" asp-route-id="@item.RepairTypeId">Usuń</a>
            </td>
        </tr>
}
    </tbody>
</table>
